Name:           nm-tray
Version:        0.4.3
Release:        1%{?dist}
Summary:        NetworkManager tray icon

License:        GPLv2+
URL:            https://github.com/palinek/%{name}
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  cmake(Qt5LinguistTools)

BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  kf5-modemmanager-qt-devel
BuildRequires:  ModemManager-devel

BuildRequires:  desktop-file-utils

# need terminal to run nmtui-edit
%if %{fedora}
Recommends:     xterm
Recommends:     %{_bindir}/nmtui-edit
%endif

%if 0%{?fedora}
Supplements:    lxqt-panel
%endif

%description
nm-tray is a simple NetworkManager front end
with information icon residing in system tray
(like e.g. nm-applet).
It's a pure Qt application.


%prep
%autosetup


%build
mkdir b
pushd b
%cmake .. \
 -DNM_TRAY_XDG_AUTOSTART_DIR:STRING='%{_sysconfdir}/xdg/autostart' \
 -DWITH_MODEMMANAGER_SUPPORT=ON
%make_build


%install
%make_install -C b
# enable (persistent) configuration file and be more clear about default settings editor
# discussion: commit/7120cf930014a53efbbc546ae38f69ab7492cac0
install -p -m0644 -D -t %{buildroot}%{_sysconfdir}/xdg %{buildroot}%{_datadir}/%{name}/%{name}.conf
%find_lang %{name} --with-qt


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%config %{_sysconfdir}/xdg/autostart/nm-tray-autostart.desktop
%config(noreplace) %{_sysconfdir}/xdg/%{name}.conf
# known bug with find_lang
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.conf


%changelog
* Sun Sep 08 2019 Raphael Groner <projects.rg@smart.ms> - 0.4.3-1
- new version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 0.4.1-5
- Rebuild with fixed binutils

* Sat Jul 28 2018 Raphael Groner <projects.rg@smart.ms> - 0.4.1-4
- mark config files

* Sat Jul 28 2018 Raphael Groner <projects.rg@smart.ms> - 0.4.1-3
- add weak dependency for nmtui-edit, as in default configuration

* Sat Jul 28 2018 Raphael Groner <projects.rg@smart.ms> - 0.4.1-2
- add BR: gcc
- drop work-around about TrayIcon entry, solved issue#8
- enable support of kf5-modemmanager-qt, rhbz#1602152
- enable support for configuration, rhbz#1607094
- use subfolder for build

* Tue Jul 17 2018 Raphael Groner <projects.rg@smart.ms> - 0.4.1-1
- new version

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 30 2017 Raphael Groner <projects.rg@smart.ms> - 0.3.0-2
- fix rpmlint E: description-line-too-long
- fix folder ownership for translation files

* Tue Oct 24 2017 Raphael Groner <projects.rg@smart.ms> - 0.3.0-1
- initial
